Create a pricing unit conversion rate

View as Markdown
Adds a settlement conversion rate for a pricing unit. Date ranges may not overlap.

Authentication

AuthorizationBearer
API key obtained from the Grant dashboard

Path parameters

idstringRequiredformat: "cuid"

Request

This endpoint expects an object.
money_minorstring or integerRequired
Settlement currency amount in minor units, e.g. cents
unit_amountstring or integerRequired

Number of pricing-unit units represented by money_minor

effective_fromstring or nullOptionalformat: "^\d{4}-\d{2}-\d{2}(T.*)?$"

Start of this conversion rate. Required for subsequent rates after the initial open-ended rate.

effective_tostring or nullOptionalformat: "^\d{4}-\d{2}-\d{2}(T.*)?$"
Optional exclusive end of this conversion rate
settlement_currency_codeenumOptional
Settlement currency. Defaults to usd.
customer_idstring or nullOptionalformat: "cuid"
Optional customer scope. A scoped rate overrides the company default for this customer.

Response

Conversion rate created
successboolean
conversion_rateobject
request_idstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error